Skip to main content
`Ctrl`+`K`

# PetscHMapIJIterDel

Remove the (key,value) referenced by an iterator from the hash table

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJIterDel(PetscHMapIJ ht, PetscHashIter iter)

## Input Parameters

- ht - The hash table

- iter - The iterator

## See Also

`PetscHMapIJFind()`, `PetscHMapIJQueryDel()`, `PetscHMapIJDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages